---
this_file: LOG.md
---



# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [v1.7.5] - 2025-02-15

### Changed

- Minor documentation updates in README.md

## [v1.7.3] - 2025-02-15

### Changed

- Improved import statements to use absolute imports throughout the codebase
- Added `from __future__ import annotations` to all Python files
- Code quality improvements and type hint optimizations
- Simplified conditional expressions in package initialization

## [v1.7.0] - 2025-02-13

### Added

- GitHub repository creation functionality using `gh` CLI
- New `_create_github_repo` method in PackageInitializer
- Enhanced test configuration in pyproject.toml template
- Added benchmark configuration and markers
- New development and test dependencies

### Changed

- Git initialization now uses 'main' as default branch
- Restructured pyproject.toml template with better organization
- Updated build system configuration
- Enhanced test configuration with more detailed pytest settings
- Improved package structure template

### Fixed

- Fixed package template directory structure
- Updated gitignore to exclude _private directory

## [v1.6.2] - 2025-02-06

### Fixed

- Bug fixes and stability improvements

## [v1.6.1] - 2025-02-06

### Changed

- Minor updates and improvements

## [v1.6.0] - 2025-02-06

### Added

- Major feature additions and improvements
- Enhanced package initialization capabilities

## [v1.2.0] - 2025-02-03

### Added

- Significant feature enhancements

## [v1.1.1] - 2025-02-03

### Fixed

- Various bug fixes and improvements

## [v1.1.0] - 2025-02-03

### Added

- New features and functionality

## [v1.0.2] - 2025-02-03

### Fixed

- Minor bug fixes and improvements

## [v1.0.1] - 2025-02-03

### Fixed

- Initial bug fixes after release

## [v1.0.0] - 2025-02-03

### Added

- Initial stable release
- Core package initialization functionality
- Basic project templating system
- Configuration management

## [v0.1.0] - 2025-02-03

### Added

- Initial project setup
- Basic functionality
- Project structure and core files

[v1.7.5]: https://github.com/twardoch/twat-hatch/compare/v1.7.3...v1.7.5
[v1.7.3]: https://github.com/twardoch/twat-hatch/compare/v1.7.0...v1.7.3
[v1.7.0]: https://github.com/twardoch/twat-hatch/compare/v1.6.2...v1.7.0
[v1.6.2]: https://github.com/twardoch/twat-hatch/compare/v1.6.1...v1.6.2
[v1.6.1]: https://github.com/twardoch/twat-hatch/compare/v1.6.0...v1.6.1
[v1.6.0]: https://github.com/twardoch/twat-hatch/compare/v1.2.0...v1.6.0
[v1.2.0]: https://github.com/twardoch/twat-hatch/compare/v1.1.1...v1.2.0
[v1.1.1]: https://github.com/twardoch/twat-hatch/compare/v1.1.0...v1.1.1
[v1.1.0]: https://github.com/twardoch/twat-hatch/compare/v1.0.2...v1.1.0
[v1.0.2]: https://github.com/twardoch/twat-hatch/compare/v1.0.1...v1.0.2
[v1.0.1]: https://github.com/twardoch/twat-hatch/compare/v1.0.0...v1.0.1
[v1.0.0]: https://github.com/twardoch/twat-hatch/compare/v0.1.0...v1.0.0
[v0.1.0]: https://github.com/twardoch/twat-hatch/releases/tag/v0.1.0 
